Texa DeskDevelopers

Texa Desk Application API · Contacts

Contact Conversations

GET/api/v1/accounts/{account_id}/contacts/{id}/conversations

Get conversations associated with that contact

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idnumberrequired

ID of the contact

idnumberrequired

ID of the contact

Responses

200

Success

payloadarray of object

List of conversations for the contact

payload[].idnumber

ID of the conversation

payload[].messagesarray of object
payload[].messages[].idnumber

The ID of the message

payload[].messages[].contentstring

The text content of the message

payload[].messages[].account_idnumber

The ID of the account

payload[].messages[].inbox_idnumber

The ID of the inbox

payload[].messages[].conversation_idnumber

The ID of the conversation

payload[].messages[].message_typeinteger

The type of the message One of: 0, 1, 2, 3.

payload[].messages[].created_atinteger

The time at which message was created

payload[].messages[].updated_atinteger or string

The time at which message was updated

payload[].messages[].privateboolean

The flags which shows whether the message is private or not

payload[].messages[].statusstring

The status of the message One of: sent, delivered, read, failed.

payload[].messages[].source_idstring

The source ID of the message

payload[].messages[].content_typestring

The type of the template message One of: text, input_text, input_textarea, input_email, input_select, cards, form, article, incoming_email, input_csat, integrations, sticker, voice_call.

payload[].messages[].content_attributesobject

The content attributes for each content_type

payload[].messages[].sender_typestring

The type of the sender One of: Contact, User, AgentBot.

payload[].messages[].sender_idnumber

The ID of the sender

payload[].messages[].external_source_idsobject

The external source IDs of the message

payload[].messages[].additional_attributesobject

The additional attributes of the message

payload[].messages[].processed_message_contentstring

The processed message content

payload[].messages[].sentimentobject

The sentiment of the message

payload[].messages[].conversationobject

The conversation object

payload[].messages[].attachmentobject

The file object attached to the image

payload[].messages[].senderobject

User/Agent/AgentBot object

payload[].account_idnumber

Account Id

payload[].uuidstring

UUID of the conversation

payload[].additional_attributesobject

The object containing additional attributes related to the conversation

payload[].agent_last_seen_atnumber

The last activity at of the agent

payload[].assignee_last_seen_atnumber

The last activity at of the assignee

payload[].can_replyboolean

Whether the conversation can be replied to

payload[].contact_last_seen_atnumber

The last activity at of the contact

payload[].custom_attributesobject

The object to save custom attributes for conversation, accepts custom attributes key and value

payload[].inbox_idnumber

ID of the inbox

payload[].labelsarray of string

The labels of the conversation

payload[].mutedboolean

Whether the conversation is muted

payload[].snoozed_untilnumber

The time at which the conversation will be unmuted

payload[].statusstring

The status of the conversation One of: open, resolved, pending.

payload[].created_atnumber

The time at which conversation was created

payload[].updated_atnumber

The time at which conversation was updated

payload[].timestampnumber

The time at which conversation was created

payload[].first_reply_created_atnumber

The time at which the first reply was created

payload[].unread_countnumber

The number of unread messages

payload[].last_non_activity_messageobject or null

The last non activity message

payload[].last_activity_atnumber

The last activity at of the conversation

payload[].prioritystring

The priority of the conversation

payload[].waiting_sincenumber

The time at which the conversation was waiting

payload[].sla_policy_idnumber

The ID of the SLA policy

payload[].applied_slaobject

The applied SLA

payload[].sla_eventsarray of object
payload[].metaobject
payload[].meta.senderobject
payload[].meta.channelstring

Channel Type

payload[].meta.assigneeobject
payload[].meta.hmac_verifiedboolean

Whether the hmac is verified

404

Contact not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring